Subject: Re: [PATCH net] net: ethernet: mtk_eth_soc: enable special tag when any MAC uses DSA

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Feb 2023 15:58:01 -0800

On Tue, 7 Feb 2023 23:25:32 +0300 Arınç ÜNAL wrote:
> >> As Paolo pointed out to me off-list this is pretty much a revert of
> >> commit under Fixes. Is this an actual regression fix, or second MAC
> >> as DSA port never worked but now you found a way to make it work?  
> > 
> > Second MAC as DSA master after hardware DSA untagging was enabled never 
> > worked. I first disabled it to make the communication work again, then, 
> > with this patch, I found a way to make it work which is what should've 
> > been done with the commit for adding hardware DSA untagging support.  
> 
> Should both commits be mentioned with Fixes tag?

No strong preference, TBH.

The motivation for my question was to try to figure out how long we
should wait with applying this patch. I applied the commit under Fixes
without waiting for a test from Frank, which made me feel a bit guilty
:)